package com.elab.mq.listener;

import com.elab.mq.model.MessageModel;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/12/30 14:57
 */
public interface ConsumerInterceptor {

    /**
     * 检查数据是否符合
     *
     * @param messageModel
     * @return
     */
    public boolean check(MessageModel messageModel);

    /**
     * 成功数据回调
     *
     * @param messageModel 消息内容
     */
    public void success(MessageModel messageModel);

    /**
     * 失败数据回调
     *
     * @param messageModel
     */
    public void error(MessageModel messageModel,Throwable e);

}
